# Generated by Django 2.0.9 on 2018-11-29 09:57

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CallMappingRule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.CharField(max_length=30, verbose_name='rule title')),
                ('dpid', models.IntegerField(default=0, help_text='Need to be 0, instead of the rule\n            will not be used', verbose_name='Dialplan id')),
                ('pr', models.IntegerField(help_text='Priority of rule', unique=True, verbose_name='Priority rule')),
                ('match_op', models.IntegerField(choices=[(0, 'Equal'), (1, 'Regex')], default=1, verbose_name='Type of match (equal or regex)')),
                ('match_exp', models.CharField(blank=True, default='', help_text='Example : ^(33)[0-9].*', max_length=64, verbose_name='match expression')),
                ('match_len', models.IntegerField(default=0, verbose_name='match length')),
                ('subst_exp', models.CharField(blank=True, default='', help_text='Example : ^(33)([0-9].*)', max_length=64, verbose_name='subst prefix')),
                ('repl_exp', models.CharField(blank=True, default='', help_text='Example : 0033\x01', max_length=64, verbose_name='replacement prefix')),
                ('attrs', models.CharField(blank=True, choices=[('', 'N/A'), ('PSTN', 'PSTN'), ('EMERGENCY', 'EMERGENCY NUMBER'), ('OWN', 'OWN NUMBERS'), ('SPEEDDIAL', 'SPEED DIAL'), ('DROP', 'DROP NUMBERS')], default='', help_text='Rule to map specific route -\n            Default set to nothing : N/A', max_length=64, verbose_name='attributes')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'verbose_name_plural': 'Call Mapping Rules',
                'ordering': ('pr',),
                'db_table': 'pyfb_call_mapping_rule',
                'verbose_name': 'Call Mapping Rule',
            },
        ),
        migrations.CreateModel(
            name='NormalizationGrp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.CharField(max_length=30, verbose_name='Rule Group name')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'db_table': 'pyfb_normalization_grp',
                'verbose_name': 'Normalization Group',
                'verbose_name_plural': 'Normalization Groups',
                'ordering': ('name',),
            },
        ),
        migrations.CreateModel(
            name='NormalizationRule',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.CharField(max_length=30, verbose_name='rule title')),
                ('match_op', models.IntegerField(choices=[(0, 'Equal'), (1, 'Regex')], default=1, verbose_name='Type of match (equal or regex)')),
                ('match_exp', models.CharField(blank=True, default='', help_text='Example : ^(33)[0-9].*', max_length=64, verbose_name='match expression')),
                ('match_len', models.IntegerField(default=0, verbose_name='match length')),
                ('subst_exp', models.CharField(blank=True, default='', help_text='Example : ^(33)([0-9].*)', max_length=64, verbose_name='substitution expression')),
                ('repl_exp', models.CharField(blank=True, default='', help_text='Example : 0033\x01', max_length=64, verbose_name='replacement expression')),
                ('attrs', models.CharField(blank=True, choices=[('', 'N/A')], default='', help_text='Rule to map specific route -\n            Default set to nothing : N/A - not used', max_length=64, verbose_name='attributes')),
                ('description', models.TextField(blank=True, verbose_name='description')),
            ],
            options={
                'db_table': 'pyfb_normalization_rule',
                'verbose_name': 'Normalization Rule',
                'verbose_name_plural': 'Normalization Rules',
                'ordering': ('name', 'match_exp'),
            },
        ),
        migrations.CreateModel(
            name='NormalizationRuleGrp',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('pr', models.IntegerField(help_text='Rule order', verbose_name='priority')),
                ('description', models.TextField(blank=True, verbose_name='description')),
                ('dpid', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='normalizationgrps', to='pyfb_normalization.NormalizationGrp', verbose_name='Normalization Group')),
                ('rule', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='normalizationrules', to='pyfb_normalization.NormalizationRule', verbose_name='Normalization Rule')),
            ],
            options={
                'verbose_name_plural': 'Normalization Rules-Groups',
                'ordering': ('dpid', 'pr'),
                'db_table': 'pyfb_normalization_rule_grp',
                'verbose_name': 'Normalization Rule-Group',
            },
        ),
        migrations.AlterUniqueTogether(
            name='callmappingrule',
            unique_together={('dpid', 'pr')},
        ),
        migrations.AlterUniqueTogether(
            name='normalizationrulegrp',
            unique_together={('dpid', 'pr')},
        ),
    ]
